RDKit: RDKit::MorganFingerprint::MorganBondInvGenerator Class Reference

| RDKit Open-source cheminformatics and machine learning.

Loading...
Searching...
No Matches
Public Member Functions | List of all members
RDKit::MorganFingerprint::MorganBondInvGenerator Class Reference

Bond invariants generator for Morgan fingerprint. More...

`#include <MorganGenerator.h>`

Inheritance diagram for RDKit::MorganFingerprint::MorganBondInvGenerator:

## Public Member Functions
| MorganBondInvGenerator (const bool useBondTypes=true, const bool useChirality=false)
| Construct a new MorganBondInvGenerator object.
std::vector< std::uint32_t > * | getBondInvariants (const ROMol &mol) const override
| get bond invariants from a molecule
std::string | infoString () const override
| method that returns information about this /c BondInvariantsGenerator and its arguments
void | toJSON (boost::property_tree::ptree &pt) const override
void | fromJSON (const boost::property_tree::ptree &pt) override
MorganBondInvGenerator * | clone () const override
| ~MorganBondInvGenerator () override=default
Public Member Functions inherited from RDKit::BondInvariantsGenerator
virtual | ~BondInvariantsGenerator ()

## Detailed Description

Bond invariants generator for Morgan fingerprint.

Definition at line 82 of file MorganGenerator.h.

## Constructor & Destructor Documentation

## ◆ MorganBondInvGenerator()

RDKit::MorganFingerprint::MorganBondInvGenerator::MorganBondInvGenerator | ( | const bool | useBondTypes = true,
|  | const bool | useChirality = false )

Construct a new MorganBondInvGenerator object.

Parameters

  useBondTypes | : if set, bond types will be included as a part of the bond invariants
  useChirality | : if set, chirality information will be included as a part of the bond invariants

Referenced by clone().

## ◆ ~MorganBondInvGenerator()

RDKit::MorganFingerprint::MorganBondInvGenerator::~MorganBondInvGenerator | ( |  | ) |
| overridedefault

## Member Function Documentation

## ◆ clone()

MorganBondInvGenerator * RDKit::MorganFingerprint::MorganBondInvGenerator::clone | ( |  | ) | const
| overridevirtual

Implements RDKit::BondInvariantsGenerator.

References MorganBondInvGenerator().

## ◆ fromJSON()

void RDKit::MorganFingerprint::MorganBondInvGenerator::fromJSON | ( | const boost::property_tree::ptree & | pt | ) |
| overridevirtual

Reimplemented from RDKit::BondInvariantsGenerator.

## ◆ getBondInvariants()

std::vector< std::uint32_t > * RDKit::MorganFingerprint::MorganBondInvGenerator::getBondInvariants | ( | const ROMol & | mol | ) | const
| overridevirtual

get bond invariants from a molecule

Parameters

  mol | molecule to generate the bond invariants for

Returns
  std::vector<std::uint32_t> bond invariants generated for the given molecule

Implements RDKit::BondInvariantsGenerator.

## ◆ infoString()

std::string RDKit::MorganFingerprint::MorganBondInvGenerator::infoString | ( |  | ) | const
| overridevirtual

method that returns information about this /c BondInvariantsGenerator and its arguments

Returns
  std::string information string

Implements RDKit::BondInvariantsGenerator.

## ◆ toJSON()

void RDKit::MorganFingerprint::MorganBondInvGenerator::toJSON | ( | boost::property_tree::ptree & | pt | ) | const
| overridevirtual

Reimplemented from RDKit::BondInvariantsGenerator.

The documentation for this class was generated from the following file:

- MorganGenerator.h